class Enemy {
  float x;                                      //X position
  float y;                                      //Y position
  float w;                                      //width
  float h;                                      //height
  PImage img;
  
  Enemy (PImage img){                           //Enemy class constructor
    this.img = img;                             //at the begining of constructor to be used for this.x,w and h
    this.x = (int)random(width);                //X position, only executed once at the begining
    this.y = height;
    this.w = img.width;
    this.h = img.height;

  }
  
  void update(){
    y-= random(1, 10);                          //Enemies down movement 
    x+= sin(millis() / random (1,400)) * 4.0;  //Enemies sinoidal movement in X 
    if (y < 30 ){                              //when Enemy arrive to the top it came back the bottom 
      y = height + (h/2);                        //new position in Y  
      x = random (0,(width-w));                //new position in X
    };
  };
  
  boolean bangHero(float HeroX, float HeroY) {                           //function to detect collision with Hero
    return (HeroX > x && HeroX < x + w && HeroY > y && HeroY < y + h);
  }  
 
  boolean bangWeapon(float weaponX, float weaponY) {                     //function to detect collision with weapons
    return (weaponX > x && weaponX < x + w && weaponY > y && weaponY < y + h);
  }

  void draw(){
    noFill();
    if (x > -w && x < width){                 //only draw Enemies inside screen
      imageMode(CORNER);
      image(img, x, y, w, h);
    };
  }
}
