class Hero {
  float x;                                    //X position 
  float y;                                    //Y position
  float w;                                    //width
  float h;                                    //height
  PImage img;
  
  Hero (PImage img){                          //Hero class constructor
    this.img = img;
    this.x = width/2; 
    this.y = img.height;
    this.w = img.width;
    this.h = img.height;
  }
  
  void reset() {
    this.x = width/2; 
    this.y = img.height;
  }
  
  void move(){
     /*----------Hero movements--------*/
    if (keyPressed){ 
      if (key == CODED){ 
        if (keyCode == LEFT)
          x = x-12;
        else if (keyCode == RIGHT)
          x = x+12;        
        else if (keyCode == UP)
          y = y-12;        
        else if (keyCode == DOWN)
          y = y+12;   
      };
    };       
    /*----------limits of the movement--------*/
    if (x < (w/2))
      x = (w/2);
    if (x > width-(w/2))
      x = width-(w/2);
    if (y < 50+(h/2))
      y = 50+(h/2);
    if (y > height-(h/2))
      y = height-(h/2);      
  };
  
  void draw(){
    noFill();
    imageMode(CENTER);    
    image(img, x, y, w, h);
  };   
}
